Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.tck.functional
Class FunctionalTestNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.CustomNotification
                  org.mule.tck.functional.FunctionalTestNotification

All Implemented Interfaces:
  Serializable, MuleContextAware

    public class FunctionalTestNotification

extends CustomNotification

A `FunctionlTestNotification` is fired by the `FunctionalTestComponent` when it receives an event. Test cases can register a `FunctionalTestNotificationListener` with Mule to receive these notifications and make assertions about the number of messages received or the content of the message.

This Notification contains the current MuleEventContext and reply message. The resource Identifier for this event is the service name that received the message. This means you can register to listen to Notifications from a selected `FunctionalTestComponent`. i.e. `muleContext.registerListener(this, "*JmsTestCompoennt");`

This registration would only receive `FunctionalTestNotification` objects from components called 'MyJmsTestComponent' and 'YourJmsTestComponent' but not 'HerFileTestComponent'.

See Also:
  `FunctionalTestComponent`, `FunctionalTestNotificationListener`, `MuleContext`, Serialized Form

Field Summary
`static int` | `EVENT_RECEIVED`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`FunctionalTestNotification(MuleEventContext context, Object replyMessage, int action)`
`FunctionalTestNotification(Object message, int action)`

Method Summary
`MuleEventContext` | `getEventContext()`
`Object` | `getReplyMessage()`

Methods inherited from class org.mule.context.notification.CustomNotification
`getActionNames`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getPayloadToString, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction, setMuleContext, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVENT_RECEIVED

    public static final int EVENT_RECEIVED

See Also:
  Constant Field Values

Constructor Detail

### FunctionalTestNotification

    public FunctionalTestNotification(Object message,
                                      int action)

### FunctionalTestNotification

    public FunctionalTestNotification(MuleEventContext context,
                                      Object replyMessage,
                                      int action)
                               throws TransformerException

Throws:
  `TransformerException`

Method Detail

### getReplyMessage

    public Object getReplyMessage()

### getEventContext

    public MuleEventContext getEventContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.